Bug 18307 - Branchname is no longer displayed in subscription tab view
Summary: Branchname is no longer displayed in subscription tab view
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Marc Véron
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 15758 17946
Blocks:
  Show dependency treegraph
 
Reported: 2017-03-21 08:55 UTC by jmbroust
Modified: 2017-05-14 12:00 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
library name not displayed in opac detail subscription tab (31.67 KB, image/png)
2017-03-21 08:55 UTC, jmbroust
Details
Bug 18307 - Branchname is no more displayed in subscription tab wiew (2.31 KB, patch)
2017-03-21 14:07 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 18307 - Branchname is no more displayed in subscription tab wiew (2.37 KB, patch)
2017-03-22 13:05 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 18307 - Branchname is no more displayed in subscription tab wiew (1.95 KB, patch)
2017-03-22 14:53 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description jmbroust 2017-03-21 08:55:05 UTC
Created attachment 61354 [details]
library name not displayed in opac detail subscription tab

The library name is no more displayed in opac-detail.pl's subscription tab. See screenshot attached.
Comment 1 Marc Véron 2017-03-21 13:28:55 UTC
I can reproduce the problem on current master.
Comment 2 Marc Véron 2017-03-21 14:07:48 UTC
Created attachment 61389 [details] [review]
Bug 18307 - Branchname is no more displayed in subscription tab wiew

This patch restores the branchname in OPAC subscription detail view.
Additionally, it adds the subscriptons count to the tab title to make
it consistent with the other tab titles.

To test:
- Search a subscription in OPAC catalog
- Go to Subscriptions tab (see screenshot in initial comment)
- Verify that library name does not display
- Apply patch
- Verify that library name displays properly in Subscriptons tab
- Verify that the tab title displays the subscriptions count
  e.g.: Subscriptions (2)
Comment 3 Claire Gravely 2017-03-22 13:05:10 UTC
Created attachment 61441 [details] [review]
Bug 18307 - Branchname is no more displayed in subscription tab wiew

This patch restores the branchname in OPAC subscription detail view.
Additionally, it adds the subscriptons count to the tab title to make
it consistent with the other tab titles.

To test:
- Search a subscription in OPAC catalog
- Go to Subscriptions tab (see screenshot in initial comment)
- Verify that library name does not display
- Apply patch
- Verify that library name displays properly in Subscriptons tab
- Verify that the tab title displays the subscriptions count
  e.g.: Subscriptions (2)

Signed-off-by: Claire Gravely <claire_gravely@hotmail.com>
Comment 4 Jonathan Druart 2017-03-22 14:52:18 UTC
Caused by bug 15758
Comment 5 Jonathan Druart 2017-03-22 14:53:23 UTC
Created attachment 61459 [details] [review]
Bug 18307 - Branchname is no more displayed in subscription tab wiew

This patch restores the branchname in OPAC subscription detail view.
Additionally, it adds the subscriptons count to the tab title to make
it consistent with the other tab titles.

To test:
- Search a subscription in OPAC catalog
- Go to Subscriptions tab (see screenshot in initial comment)
- Verify that library name does not display
- Apply patch
- Verify that library name displays properly in Subscriptons tab
- Verify that the tab title displays the subscriptions count
  e.g.: Subscriptions (2)

Signed-off-by: Claire Gravely <claire_gravely@hotmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 6 Jonathan Druart 2017-03-22 14:54:12 UTC
I made it depend on bug 17946.
Comment 7 Kyle M Hall 2017-03-31 14:14:24 UTC
Pushed to master for 17.05, thanks Marc!
Comment 8 Katrin Fischer 2017-04-02 17:32:52 UTC
This patch has been pushed to 16.11.x and will be in 16.11.07.
Comment 9 Mason James 2017-05-03 04:02:13 UTC
(In reply to Katrin Fischer from comment #8)
> This patch has been pushed to 16.11.x and will be in 16.11.07.

Blocked by Enhancement, skipping for 16.05.x
Comment 10 Mason James 2017-05-03 04:04:13 UTC
(In reply to Mason James from comment #9)
> (In reply to Katrin Fischer from comment #8)
> > This patch has been pushed to 16.11.x and will be in 16.11.07.
> 
> Blocked by Enhancement, skipping for 16.05.x

hi Katrin, 16.11.x may need patch BZ-17946 now
Comment 11 Katrin Fischer 2017-05-14 12:00:10 UTC
(In reply to Mason James from comment #10)
> (In reply to Mason James from comment #9)
> > (In reply to Katrin Fischer from comment #8)
> > > This patch has been pushed to 16.11.x and will be in 16.11.07.
> > 
> > Blocked by Enhancement, skipping for 16.05.x
> 
> hi Katrin, 16.11.x may need patch BZ-17946 now

Hi Mason, I checked, there is a dependency noted, but the patch works without bug 17946 which is marked enhancement.